> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iinkedsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit

Generate a secure link to allow editing of a package without requiring authentication.

<Tip>
  You will have to refresh the package edit link before it expires. The link is short lived for security reasons.
</Tip>

## Request

```http Request theme={null}
POST /packages/{packageId}/link/edit
```

### Parameters

<ParamField path="packageId" type="string" required>
  The unique identifier of the package you want to generate an edit link for.
</ParamField>

## Response

<ResponseField name="packageId" type="string">
  Unique identifier of the package the link was generated for.
</ResponseField>

<ResponseField name="name" type="string">
  Display name for of the package the link was generated for.
</ResponseField>

<ResponseField name="link" type="string">
  URL that grants access to the package.
</ResponseField>

<ResponseField name="type" type="string" default="package_edit">
  Type of link returned.
</ResponseField>

<ResponseField name="token" type="string">
  Token generated to provide access to the package.
</ResponseField>

<ResponseField name="timeExpires" type="string">
  Timestamp when the link expires (ISO 8601 format).
</ResponseField>

### Examples

```json Response (200) theme={null}
{
    "name": "Signing",
    "link": "https://sign.syngrafii.com/link/6iC4sCyjRaMTm2FcMjwIVA",
    "type": "package_edit",
    "token": "6iC4sCyjRaMTm2FcMjwIVA",
    "timeExpires": "2021-08-10T15:40:51.7746401Z",
    "packageId": "581aa1e0-49ea-4e49-841a-a74050e7d776"
}
```
